function subcarriers_return = OFDM_get_data_subcarriers( NOFDM )
%"dummy" function for retrieving the carriers of OFDM used for capacity
%estimations. Only the frequency location and BW of the OFDM symbol
%is of interest, i.e. no real data is needed to estimate the capacity, 
%so this is only a very superficial OFDM symbol.
%NOFDM must equal 512 or 1024, focusing on 802.16e (mobile) downlink
global Chirp_Fs;
global Chirp_Ts;
global Chirp_duration;
Num_of_channel_samples = Chirp_duration/Chirp_Ts;   
channel_samples_freq_spacing = Chirp_Fs/(Num_of_channel_samples-1);
OFDM_freq_spacing = 10940; %Hz
global Fs_OFDM;
Fs_OFDM = round(OFDM_freq_spacing*NOFDM*10)/10;
New_Num_of_channel_samples = round(Chirp_Fs/OFDM_freq_spacing);
    %used for returning a array of subcarriers at the correct
    %frequency locations according the the existing channel
    %frequency response.
subcarriers = zeros(1,New_Num_of_channel_samples);
mid_index = ceil(length(subcarriers)/2);
global data_carriers;
if NOFDM==512
    data_carriers = 360;
    pilot_carriers = 60;
    null_carriers = 92;
elseif NOFDM==1024
    data_carriers = 720;
    pilot_carriers = 120;
    null_carriers = 184;
elseif NOFDM==256
    data_carriers = 192;
    pilot_carriers = 8;
    null_carriers = 56;
end
    
        
for n = (mid_index-(NOFDM/2)+1):1:(mid_index+NOFDM/2)
    k = n-(mid_index-(NOFDM/2));
    if(k<=((null_carriers/2)-1) || k>(NOFDM-null_carriers/2) || n==mid_index)
        %do nothing..null carriers
    else if(mod((k-1),(data_carriers/pilot_carriers))==0) 
            subcarriers(n) = 2;           %pilot carriers, no data
        else
            subcarriers(n) = 1;           %data carrier!
        end
    end
end

subcarriers_return = subcarriers;    

end