function [noise_Ts_samples noise_Ts_samples_level] = generate_noise(noise_level, noise_factor, NPath)
%thermal noise and receiver noise. 
%noise_factor: noise factor in dB at receiver front end, typically caused by LNA.
%noise_level: suggested noise level in dBm/Hz (default: -174)
if(noise_level == 0) 
    noise_level = -174;
end
if(noise_factor == 0)
    noise_factor = 7; 
end
global Chirp_Fs;
global Chirp_Ts;
global Measurement_duration;
global Chirp_duration;
num_of_measurements = Measurement_duration/Chirp_duration;
noise_BW = Chirp_Fs;        
thermal_noise_power_dB = noise_level + 10*log10(noise_BW);      
    %if noise_level=-174, Fs=100MHz --> -94dBm = 3.98*10^-10mW
thermal_noise_power = 10^(thermal_noise_power_dB/10);

total_noise_power_dB = thermal_noise_power_dB + noise_factor;
total_noise_power = 10^(total_noise_power_dB/10);

noise_samples = randn(1,num_of_measurements*NPath)+j*randn(1,num_of_measurements*NPath);

noise_Ts_samples = noise_samples;
noise_Ts_samples_level = total_noise_power;

end
