function global_variables_initialize
          
global c;
global Fs;
global Fc;
global Fd;
global Gauss_Oversampling_factor;
global Fast_Fading_Ts_factor;
global Channel_impulse_response_time_resolution;
global Channel_impulse_response_freq_resolution;
global Chirp_onesided_BW;
global Chirp_Fs;
global Chirp_oversampling_factor;
global Chirp_Ts;
global Chirp_duration;
global H_f_interpol_factor;
global Approximated_system_filter_onesided_BW;
global Approximated_system_filter_oversampling_factor;
global Approximated_system_filter_rolloff;
global system_filter_cutoff_factor;
global Wavelength;
global Measurement_duration;
global Fs_OFDM;
global data_carriers;
Fs_OFDM = 0;                                         %to be set in OFDM_get_data_subcarriers
data_carriers = 0;                                   %to be set in OFDM_get_data_subcarriers

c = 3*(10^8);                                        %Speed of light
Fc = 2100000000;                                     %Carrier frequency
Gauss_Oversampling_factor =  64;                     %Oversampling factor for the gauss
                                                     %sequence input to the
                                                     %doppler filter
Fd = 50;                                             %doppler filter one sided BW
Fast_Fading_Ts_factor = 1;                           %means grade of interpolation used for the 
                                                     %fading coefficients. 1 means no interpolation.                                                     
Channel_impulse_response_time_resolution = 100;
Channel_impulse_response_freq_resolution = 100;                 
Chirp_onesided_BW = 20000000;                        %One-sided bandwidth of chirp signal
Chirp_Fs = 100000000;                                %Sample frequency of chirp signal
Chirp_oversampling_factor = Chirp_Fs/(2*Chirp_onesided_BW);   %Oversampling of chirp signal (5/2)
Chirp_Ts = 1/Chirp_Fs;                               %Sample duration. 10ns = 3m.
Chirp_duration = 2048*Chirp_Ts;                      %time-span for chirp to change from -20MHz to +20MHz

H_f_interpol_factor = 50;                            %number of interpolations between consecutive Ts in H_f

Approximated_system_filter_onesided_BW = 30000000;   %DAC-filter, smoothing-filter and antialiasing
                                                     %filter can be approximated with a cos-roll-off
                                                     %filter with onesided BW of 30MHz 
Approximated_system_filter_oversampling_factor = Chirp_Fs/(2*Approximated_system_filter_onesided_BW);                                                              
                                                     %Overampling factor of system_filter        
Approximated_system_filter_rolloff = 0.5;            %Roll-off factor of raised-cosine filter

system_filter_cutoff_factor = 8;                     %cutoff raised cosine filter at +/- 8*Ts

Wavelength = c/Fc;                                   %14,3 cm at 2,1GHz  
Measurement_duration = 100*Chirp_duration;           %Duration for measurement simulation                
      
end
